Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractService

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractService

All Implemented Interfaces:
  `Serializable`

public class ContractService extends Object implements Serializable
Разрешенная на договоре услуга.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractService.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractService.Builder`
  `builder()`
  `ContractService`
  `clone()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getId()`
  `int`
  `getServiceId()`
  `String`
  `getServiceTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(Date date)`
  `void`
  `setDateTo(Date date)`
  `void`
  `setId(int id)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setServiceTitle(String serviceTitle)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractService

    public ContractService()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getId

    public int getId()

  - ### getServiceId

    public int getServiceId()

  - ### getServiceTitle

    public String getServiceTitle()

  - ### setComment

    public void setComment(String comment)

  - ### setContractId

    public void setContractId(int contractId)

  - ### setDateFrom

    public void setDateFrom(Date date)

  - ### setDateTo

    public void setDateTo(Date date)

  - ### setId

    public void setId(int id)

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### setServiceTitle

    public void setServiceTitle(String serviceTitle)

  - ### clone

    public ContractService clone()
    Overrides:
      `clone` in class `Object`

  - ### builder

    public static ContractService.Builder builder()